[type=radio]:checked, [type=radio]:not(:checked) {
    position: absolute;
    left: -9999px;
}
input[type=radio], input[type=checkbox] {
    box-sizing: border-box;
    padding: 0;
}
[type=radio] {
    margin-right: 5px;
}
[type=radio]:not(:checked)+label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    border: 2px solid #ccc;
    border-radius: 100%;
    background: #fff;
}
[type=radio]:checked+label, [type=radio]:not(:checked)+label {
    position: relative;
    padding-left: 28px;
    cursor: pointer;
    line-height: 20px;
    display: inline-block;
    color: #666;
}
[type=radio]:checked+label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    border: 2px solid #e23c6f;
    border-radius: 100%;
    background: #fff;
}
[type=radio]:checked+label:after {
    opacity: 1;
    transform: scale(1);
}
[type=radio]:checked+label:after{
    content: '';
    width: 10px;
    height: 10px;
    background: #e23c6f;
    position: absolute;
    top: 5px;
    left: 5px;
    border-radius: 100%;
    transition: all .2s ease;
}